---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: backend
  namespace: resources
spec:
  template:
    spec:
      containers:
      - name: backend
        image: cr.yandex/crp3ccidau046kdj8g9q/sarex-resources:prod_266c031f
        env:
        - name: SAREX_HOST
          value: http://backend.django.svc.cluster.local:8000
        - name: DATABASE_HOST
          value: postgres-service
        - name: DATABASE_PORT
          value: '5432'
        - name: DATABASE_NAME
          value: resources
        - name: API_ADDRESS
          value: '8000'
        - name: YC_S3_ENDPOINT_URL
          value: http://minio-service.minio.svc.cluster.local:9000
        - name: YC_S3_BUCKET_NAME
          value: eav-service-static
